Cambrionix connect
Developers
Cloud API reference · v1.0

Locations API

The Connect Locations API manages organization locations and places.

Base URL

https://connect.cambrionix.com/api

Token audience

b2d57903-6cc0-4099-aeaa-926d441a4130

OpenAPI document

https://connect.cambrionix.com/api/locations/v1/openapi.json

Get an access token

Request a token for this API's audience with your service account's client credentials, then send it as Authorization: Bearer <token>.

curl -X POST "https://connect.cambrionix.com/api/v1/organizations/$CONNECT_ORGANIZATION_ID/oauth2/token" \
  -H "Content-Type: application/json" \
  -d '{"grant_type": "client_credentials", "client_id": "'"$CONNECT_CLIENT_ID"'", "client_secret": "'"$CONNECT_CLIENT_SECRET"'", "audience": "b2d57903-6cc0-4099-aeaa-926d441a4130", "scope": "*"}'

Endpoints

Organization Locations

Endpoints for managing organization locations.

POST

Create a new organization location.

GET

Get all organization locations.

GET

Get an organization location.

PATCH

Update an organization location.

DELETE

Delete an organization location.